const jwt = require("jsonwebtoken")

module.exports = async (token = null) => {
    if(token === null) { return false }
    return jwt.verify(token, process.env.JWT_TOKEN, (err, user) => {
        if(err) return false
        return user
    })
    
}
